Main Page Widgets glibmm Namespaces Book

# signalproxy.h File Reference

## Namespaces
namespace | Glib
## Classes
class | Glib::SignalProxyBase
class | Glib::SignalProxyNormal
| The SignalProxy provides an API similar to sigc::signal that can be used to connect sigc::slots to glib signals. More...
class | Glib::SignalProxy0<R>
| Proxy for signals with 0 arguments. More...
class | Glib::SignalProxy1<R, P1>
| Proxy for signals with 1 arguments. More...
class | Glib::SignalProxy2<R, P1, P2>
| Proxy for signals with 2 arguments. More...
class | Glib::SignalProxy3<R, P1, P2, P3>
| Proxy for signals with 3 arguments. More...
class | Glib::SignalProxy4<R, P1, P2, P3, P4>
| Proxy for signals with 4 arguments. More...
class | Glib::SignalProxy5<R, P1, P2, P3, P4, P5>
| Proxy for signals with 5 arguments. More...
class | Glib::SignalProxy6<R, P1, P2, P3, P4, P5, P6>
| Proxy for signals with 6 arguments. More...
## Typedefs
typedef void(*) | GCallback (void)
typedef _GObject | GObject

## Typedef Documentation

typedef void(*) GCallback(void)

typedef struct _GObject GObject